# Generated by Django 4.2.20 on 2025-05-07 20:02

import uuid

import django.core.serializers.json
import django.db.models.deletion
import nautobot.core.models.fields
import nautobot.extras.models.mixins
from django.db import migrations, models

import nautobot_ssot.integrations.vsphere.models


class Migration(migrations.Migration):
    dependencies = [
        ("nautobot_ssot", "0014_alter_sync_start_time_alter_synclogentry_timestamp"),
    ]

    operations = [
        migrations.CreateModel(
            name="SSOTvSphereConfig",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=255, unique=True)),
                ("description", models.CharField(blank=True, max_length=255)),
                ("enable_sync_to_nautobot", models.BooleanField(default=True)),
                ("use_clusters", models.BooleanField(default=True)),
                (
                    "default_vm_status_map",
                    models.JSONField(
                        default=nautobot_ssot.integrations.vsphere.models._get_default_vm_status_map,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                    ),
                ),
                (
                    "default_ip_status_map",
                    models.JSONField(
                        blank=True,
                        default=nautobot_ssot.integrations.vsphere.models._get_default_ip_status_map,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                    ),
                ),
                (
                    "default_vm_interface_map",
                    models.JSONField(
                        blank=True,
                        default=nautobot_ssot.integrations.vsphere.models._get_default_vm_interface_map,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                    ),
                ),
                ("primary_ip_sort_by", models.CharField(default="Lowest", max_length=255)),
                ("default_ignore_link_local", models.BooleanField(default=True)),
                ("job_enabled", models.BooleanField(default=False)),
                ("sync_tagged_only", models.BooleanField(default=True)),
                (
                    "default_clustergroup_name",
                    models.CharField(default="vSphere Default Cluster Group", max_length=255),
                ),
                ("default_cluster_name", models.CharField(default="vSphere Default Cluster", max_length=255)),
                ("default_cluster_type", models.CharField(default="VMWare vSphere", max_length=255)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "vsphere_instance",
                    models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to="extras.externalintegration"),
                ),
            ],
            options={
                "verbose_name": "SSOT vSphere Config",
                "verbose_name_plural": "SSOT vSphere Configs",
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
    ]
